import { NostrAPI } from '../schema/types.js';
import { Event, EventTemplate, Filter } from 'nostr-tools';
export declare function useClient({ store, setError, update }: NostrAPI): {
    client: {
        connected: () => Promise<boolean>;
        publish: (event: Partial<EventTemplate>) => Promise<Event | undefined>;
        pubkey: string | undefined;
        ok: boolean;
        get: (filter: Filter) => Promise<Event<import("nostr-tools").Kind> | null>;
        list: (filters: Filter[]) => Promise<Event<import("nostr-tools").Kind>[]>;
        pub: (event: Event) => Promise<import("nostr-tools").Pub>;
        sub: (filters: Filter[]) => Promise<import("nostr-tools").Sub<import("nostr-tools").Kind>>;
    };
};
//# sourceMappingURL=useClient.d.ts.map