export declare function now(): number;
export declare function isExpired(timestamp: number, timeout: number): boolean;
export declare function sleep(ms?: number): Promise<unknown>;
export declare function withTimeout<T extends (...args: any) => Promise<ReturnType<T> | undefined>>(fn: T, timeout?: number): Promise<unknown>;
export declare function objFilter<T extends Record<string, any>>(obj?: T, filter?: string[]): {
    [k: string]: any;
} | undefined;
//# sourceMappingURL=util.d.ts.map