import { NostrRoom } from '../lib/room.js';
export function useRoom({ store }) {
    const joinRoom = (secret, config) => {
        const { client, isConnected } = store;
        if (!isConnected || client === undefined) {
            throw new Error('Unable to connect!');
        }
        return new NostrRoom(client, secret, config);
    };
    return { joinRoom };
}
//# sourceMappingURL=useRoom.js.map