export type Action<T> = {
    type: 'reset';
    payload: T;
} | {
    type: 'update';
    payload: Partial<T>;
};
export type StoreAPI<T> = ReturnType<typeof useStore<T>>;
export declare function useStore<T>(defaults: T): {
    reset: (store: Partial<T>) => void;
    store: T;
    update: (store: Partial<T>) => void;
};
//# sourceMappingURL=useStore.d.ts.map